INTERFACE
SUBROUTINE CPPHINPAD(KST,KEND,&
 & PUT5,PVT5,PQT5,PQT5L,PQT5M,PRDELP5,PEVEL5,&
 & PUT0,PVT0,PQT0,PQT0L,PQT0M,PRDELP0,PEVEL0,&
 & PCVGQ5,&
 & PCVGQ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NPROMA ,NPROMM
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KEND
REAL(KIND=JPRB) ,INTENT(IN) :: PUT5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVT5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PQT5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PQT5L(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PQT5M(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRDELP5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PEVEL5(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUT0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVT0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQT0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQT0L(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQT0M(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRDELP0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEVEL0(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCVGQ5(NPROMM,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCVGQ(NPROMM,NFLEVG)
END SUBROUTINE CPPHINPAD
END INTERFACE
